Jump to content

Recommended Posts

11 minutes ago, fishgirl said:

No mean interactions happen. I'll have her studying or doing homework or eating, and randomly she'll see a sim and be like "I'm going to assault him/her." There will have been no prior socializing or anything. It doesn't happen all the time, just occasionally, and usually I just cancel the interaction before it happens and she'll keep doing what she was doing. My other sim who I have disallowed assaulting and being assaulted has no problems. Just my female sim is having the problem. I do have it so she is allowed to be assaulted and have the intensity level to high (makes the game interesting :P). Not sure what the deal is. Again, I don't mind the issue, just wanted to see if it's a user error. 

See if it happens for other female sims.

Share this post


Link to post

I'm getting an exception error whenever I try to use this mod - error file doesn't make much sense to me, can anyone parse out what I'm meant to do to fix it? 

error:

Exception caught while invoking: _kw_assault_trigger_rough_sex_autonomy_on_game_update -> ImportError: cannot import name '_is_illegal_relationship' from 'wickedwhims.sex.generic.sex_relationship' 

Share this post


Link to post
On 1/20/2020 at 7:06 AM, ColonolNutty said:

Either you're on a very old version of KW or you installed it in a weird way. The interaction "menu" should say "Kinky Whims" not "Kinky" and the icon should be a Red Heart, not the Wicked Whims logo.

Reinstall the latest version of Kinky Whims, then come back to me with the problems you run into.


I haven't added support (and have never had it in the past) for Kinky Whims in Wicked Pets yet, so I'm not sure what you mean by "Kinky Pet".

Here you are. You will see that there are not menu of your Kinky mod and Pet mod are appeared when I clicked the floor while in the past, there should be next to the menu of WickedWhims mod

2004831137_01-22-20_12-43-02PM.png.f063a55ddc1189cf91505a0c4efc6a63.png

Share this post


Link to post
10 hours ago, ColonolNutty said:

See if it happens for other female sims.

I have had the same issue for a few versions now. Extreme intensity preset, Males can assault/can not be assaulted , Female can not assault/can be assaulted , 120 assault trigger attempts,  default gender options in WW. I have no other scripted mods when testing except WW/MCC and it's on a save that has never seen WW or KW. I have never seen my Female PC try to assault another female or vice versa.  I have also set can not assault for my Female PC and can not be assaulted for the male NPC's I run across via interactions which doesn't seem to have any effect on this issue.

 

A few things to add:

It can be any Female sim, like the above post it does not happen all the time. Seems to happen most often when my female PC or a new female NPC  first enters a lot.

 

I also noticed the Assault Icon pops up twice when it happens and the first one goes away almost instantly (too quick to figure out who was trying to assault who first). This does not happen when males assault female sims or my female PC.

 

I haven't reported this because it's a rather minor issue doesn't happen often enough to ruin the experience. Mostly just trying to validate the other report.

 

Thanks for the quick updates I wasn't expecting a WW 150a  update as quick as you got it out. So far about 15 hrs or so on a new game everything seems to be working fine other than the issue reported above.

 

I just seen your non beta update before making this post, so this issue is with the previous version.

So if the issue is resolved in my game after the update I'll put an edit on this post , otherwise it's still valid. Getting ready to update and test right now.

 

Edit: Still having the same problem with the current version and WW 150a on a clean save.

Share this post


Link to post

I wonder (to myself, and very respectfully) why the biggie-mods have to inform me several times a minute that an error has occurred.

Yes,  know yada-whatever mod is running, I only started up and it told me three times.

Yes, you don't like something and take exception to it...before I've done anything, alone in a house on an island.

 

but 

 

There isn't much I can do

 

My sim returned from vacationing in sylvan glade and the error about 1.50a vs 1.50b has come up so often I gave up

and wondered if the feud will ever end...mismatched versions are a fact of life, I get it, 

but I love all you guys, and all your mods work, except for the grousing.

1.5a stopped the %^& game to tell me to download their update Now....I'm just trying to get along.

Couldn't ONE mod anticipate that there will be updates and avoid exact references to future versions of a related mod?

Couldn't error-notifications be limited to once a sim-hour? (or so?)

it's OK, I'll be over here in the corner eating my crackers and wishing mods got along more.

 

Before someone has an aneurysm I thought I'd mention that I'm vaguely familiar (very vaguely) with the concept of an API that knows when you say "wash the dish" it won't grouse that the dishwashing liquid has been updated from palmolive-2.0 to Dawn 5.0, and maybe Sims 4 isn't set up for API's, and if it isn't I apologize profusely for mentioning it (I'm gonna go now)....

Share this post


Link to post

I've spend all day going to each and every mod (still not finished)

sorted out  red_pleasure channel (it was effecting the computer menu - blank menu where computer security was)

now the exception error comes up when running Kinky Whims and the animation comes (no pun intended) to an end.

I've attached  a copy of the error hopefully someone can figure out what the issue is. 

KinkyWhims_Assault_Exceptions.txt

Share this post


Link to post
3 minutes ago, black_ravens said:

I've spend all day going to each and every mod (still not finished)

sorted out  red_pleasure channel (it was effecting the computer menu - blank menu where computer security was)

now the exception error comes up when running Kinky Whims and the animation comes (no pun intended) to an end.

I've attached  a copy of the error hopefully someone can figure out what the issue is. 

KinkyWhims_Assault_Exceptions.txt 10.96 kB · 0 downloads

Unless something has changed, CN mentioned KW is not updated for WW 150b as of yet.

Share this post


Link to post

When I took S4CL out I had no last exceptions and the mod was functioning just fine (at least everything I use in the mod). I did go back to WW 150a for now, not a big deal. I'm just at a loss because the last exception reader can't tell me what was going wrong. It can't even read the file. And I'm not sure how to interpret this lol

 

Exception caught while invoking: _kw_assault_trigger_rough_sex_autonomy_on_game_update ->

ImportError: cannot import name '_is_illegal_relationship' from 'wickedwhims.sex.generic.sex_relationship'

Share this post


Link to post
1 hour ago, Crazy Doll said:

Outdated WW version.

Correct version for this mod at this time.

Share this post


Link to post
1 hour ago, Crazy Doll said:

Outdated WW version.

It still works. You just have to close the window that notifies you that WW is outdated.

Share this post


Link to post

So we need verson 150a... how can we get it?

Share this post


Link to post
17 hours ago, ColonolNutty said:

If by latest version of WW I assume you mean 150b? You need to use 150a for now.

It's a bit strange to refuse to update your mod for a long time when it's officially confirmed that WW150a is broken. And many of the problems described here come from it, not your mods.
If you try to fix something that does not depend on you in any way, progress will not come.

Share this post


Link to post
1 hour ago, Veoly said:

It's a bit strange to refuse to update your mod for a long time when it's officially confirmed that WW150a is broken. And many of the problems described here come from it, not your mods.
If you try to fix something that does not depend on you in any way, progress will not come.

150b like came out a day or so ago. Have patience. People have lives outside of updating mods for you. ColonolNutty has been very good about posting updates when they can and it usually isn't long after WW updates. Don't be an asshole when you are enjoying something for free. 

Share this post


Link to post
8 hours ago, Veoly said:

It's a bit strange to refuse to update your mod for a long time when it's officially confirmed that WW150a is broken. And many of the problems described here come from it, not your mods.
If you try to fix something that does not depend on you in any way, progress will not come.

When an update comes in for a version of WW within a day or two of a previous version of WW,  I like to wait a week before updating the mods again just to let any further patches come through so I only have to update my mods once rather than for every patch that comes out within a week.

I don't do it out of spite, I do it to save me time in the long run.

 

For the record, "It's a bit strange" to not stick with the requirements and then complain about everything breaking because you didn't want to use the correct versions. By "you" I don't mean you specifically, just look at all of the comments above yours...

 

  

13 hours ago, 2dk2c.2 said:

I wonder (to myself, and very respectfully) why the biggie-mods have to inform me several times a minute that an error has occurred.

Yes,  know yada-whatever mod is running, I only started up and it told me three times.

Yes, you don't like something and take exception to it...before I've done anything, alone in a house on an island.

 

but 

 

There isn't much I can do

 

My sim returned from vacationing in sylvan glade and the error about 1.50a vs 1.50b has come up so often I gave up

and wondered if the feud will ever end...mismatched versions are a fact of life, I get it, 

but I love all you guys, and all your mods work, except for the grousing.

1.5a stopped the %^& game to tell me to download their update Now....I'm just trying to get along.

Couldn't ONE mod anticipate that there will be updates and avoid exact references to future versions of a related mod?

Couldn't error-notifications be limited to once a sim-hour? (or so?)

it's OK, I'll be over here in the corner eating my crackers and wishing mods got along more.

 

Before someone has an aneurysm I thought I'd mention that I'm vaguely familiar (very vaguely) with the concept of an API that knows when you say "wash the dish" it won't grouse that the dishwashing liquid has been updated from palmolive-2.0 to Dawn 5.0, and maybe Sims 4 isn't set up for API's, and if it isn't I apologize profusely for mentioning it (I'm gonna go now)....

You must have not seen S4CL yet. It is an API for the Sims 4.

Share this post


Link to post
22 hours ago, thsecmaniac said:

Here you are. You will see that there are not menu of your Kinky mod and Pet mod are appeared when I clicked the floor while in the past, there should be next to the menu of WickedWhims mod

2004831137_01-22-20_12-43-02PM.png.f063a55ddc1189cf91505a0c4efc6a63.png

I'm having the same issue and I'm using the current version of everything (WW, KW, WP, and the other related ones).

Share this post


Link to post
1 hour ago, Chasman said:

I'm having the same issue and I'm using the current version of everything (WW, KW, WP, and the other related ones).

Did you install ALL of the requirements mentioned in the description?

Share this post


Link to post
2 hours ago, Chasman said:

I'm having the same issue and I'm using the current version of everything (WW, KW, WP, and the other related ones).

 

49 minutes ago, ColonolNutty said:

Did you install ALL of the requirements mentioned in the description?

 

Thank you. My Problem is solved after installed Sims4CommunityLibrary as you told in the description

No Need to install the Discover University pack.

Share this post


Link to post

Small quality of life improvement request, under the "Requirements:" section, when your updating WW's version number could you possibly edit to include S4CL's required version number also, its a very minor thing so no worries if you don't but I have downloaded v1.2.6 at least 4 times now to make sure its the current version.

Share this post


Link to post
7 hours ago, Downloader said:

Small quality of life improvement request, under the "Requirements:" section, when your updating WW's version number could you possibly edit to include S4CL's required version number also, its a very minor thing so no worries if you don't but I have downloaded v1.2.6 at least 4 times now to make sure its the current version.

The link points to the exact version required, it's not a bad idea to include the version in there too though.

Share this post


Link to post

Assault on someone with hate kids traits won’t work without protection just wondering could you look it this and making like the other condom setting like you did you non aggressor 

Share this post


Link to post
1 hour ago, startup69 said:

Assault on someone with hate kids traits won’t work without protection just wondering could you look it this and making like the other condom setting like you did you non aggressor 

other condom setting?

Share this post


Link to post

I might have missed it when reading the description but is there a setting to make a sim never assault a specific sim but will assault any other sim?

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...